curl --location --request POST 'https://app.flashmapy.com/api/v1/jobs' \
--header 'Content-Type: application/json' \
--header 'x-api-key: Token <token>' \
--data-raw '{
"keyword": "restaurants in new york",
"group_name": "API",
"sort_by": "rating",
"sort_order": "desc",
"min_rating": 4,
"min_reviews": 100,
"max_reviews": 1000,
"has_phone": true,
"has_website": true
}'
{
"job_id": "018b1e9c-4c91-8b41-7a23-194757ee0a59"
}
Jobs
Create Job
This endpoint creates a new job.
POST
/
api
/
v1
/
jobs
curl --location --request POST 'https://app.flashmapy.com/api/v1/jobs' \
--header 'Content-Type: application/json' \
--header 'x-api-key: Token <token>' \
--data-raw '{
"keyword": "restaurants in new york",
"group_name": "API",
"sort_by": "rating",
"sort_order": "desc",
"min_rating": 4,
"min_reviews": 100,
"max_reviews": 1000,
"has_phone": true,
"has_website": true
}'
{
"job_id": "018b1e9c-4c91-8b41-7a23-194757ee0a59"
}
Header
string
required
This parameter specifies the private key you’ll need for Flashmapy access.
Body
string
default:"API"
This parameter specifies the group ID you want to create the job in.
string
required
This parameter specifies the keyword you want to search for.
string
You can sort by any field, such as
reviews, main_category, title, rating, or any other field.string
This parameter specifies the sort order. You can sort by
asc or desc.integer
This parameter specifies the minimum rating you want to search for.
integer
This parameter specifies the minimum reviews you want to search for.
integer
This parameter specifies the maximum reviews you want to search for.
boolean
This parameter specifies whether you want to search for businesses with a phone number.
boolean
This parameter specifies whether you want to search for businesses with a website.
Response
string
This parameter specifies the ID of the job you created.
curl --location --request POST 'https://app.flashmapy.com/api/v1/jobs' \
--header 'Content-Type: application/json' \
--header 'x-api-key: Token <token>' \
--data-raw '{
"keyword": "restaurants in new york",
"group_name": "API",
"sort_by": "rating",
"sort_order": "desc",
"min_rating": 4,
"min_reviews": 100,
"max_reviews": 1000,
"has_phone": true,
"has_website": true
}'
{
"job_id": "018b1e9c-4c91-8b41-7a23-194757ee0a59"
}
Was this page helpful?